Imagick::drawImage
Imagick::embossImage
Imagick
PHP Manual

# Imagick::edgeImage

(PECL imagick 2.0.0)

Imagick::edgeImage — Enhance edges within the image

### Description

bool Imagick::edgeImage ( float `$radius` )

Enhance edges within the image with a convolution filter of the given radius. Use radius 0 and it will be auto-selected.

### Parameters

`radius`

  The radius of the operation.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::drawImage
Imagick::embossImage
Imagick
PHP Manual